import request from '@/config/axios'

export const IotReportApi = {
  getCostsFee: async (params: any) => {
    return await request.get({ url: `/rq/report/repair/fee`, params })
  },

  getCostsPage: async (params: any) => {
    return await request.get({ url: `/rq/report/repair/page`, params })
  },
  getOrderNumber: async (params: any) => {
    return await request.get({ url: `/rq/report/order/number`, params })
  },
  getOrderPage: async (params: any) => {
    return await request.get({ url: `/rq/report/order/page`, params })
  },
  exportOrderPage: async (params: any) => {
    return await request.download({ url: `/rq/report/order/export-excel`, params })
  },
  exportCosts: async (params) => {
    return await request.download({ url: `/rq/report/repair/report/export-excel`, params })
  }
}
